#include "colors.inc"

camera {
  orthographic
  location <3, 2, 3>
  look_at <0, 0, 0>
  up <0, 2.5, 0>
  right <2.5, 0, 0>
}

intersection {
  prism {
    linear_sweep
    linear_spline
    -1.125, // sweep the following shape from here ...
    1.125, // ... up through here
    6, // the number of points making up the shape ...
    <1, 0>, <0.75, 0.5>, <0, 0.75>, <-0.75, 0.5>, <-1, 0>, <1, 0>
    rotate <90, 0, 0>
  }

  plane {
    <0, 1, -1>, 0
    translate <0, 0.375, 0>
  }

  plane {
    <0, 1, 1>, 0
    translate <0, 0.375, 0>
  }

  pigment { checker 
	pigment { White }, 
	pigment { color rgb <0.5, 0.5, 0.5> }
        scale 0.25  }  
}

light_source { <5, 5, 4> color White }
